Bug 1685654 - [abrt] weasyprint: module(): _ffi.py:3:<module>:ModuleNotFoundError: No module named 'xcffib'
Summary: [abrt] weasyprint: module(): _ffi.py:3:<module>:ModuleNotFoundError: No modul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: weasyprint
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:29a91259f18d649c302e374e35f...
Depends On: 1698217
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 17:49 UTC by Mike
Modified: 2019-06-06 01:06 UTC (History)
2 users (show)

Fixed In Version: weasyprint-0.39-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 17:58:43 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (8.42 KB, text/plain)
2019-03-05 17:49 UTC, Mike
no flags Details
File: cgroup (369 bytes, text/plain)
2019-03-05 17:49 UTC, Mike
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2019-03-05 17:49 UTC, Mike
no flags Details
File: environ (5.73 KB, text/plain)
2019-03-05 17:49 UTC, Mike
no flags Details
File: mountinfo (4.19 KB, text/plain)
2019-03-05 17:49 UTC, Mike
no flags Details
File: namespaces (129 bytes, text/plain)
2019-03-05 17:49 UTC, Mike
no flags Details
File: open_fds (244 bytes, text/plain)
2019-03-05 17:49 UTC, Mike
no flags Details

Description Mike 2019-03-05 17:49:01 UTC
Description of problem:
Attempting to use weasyprint to print an html page to pdf.

Version-Release number of selected component:
weasyprint-0.22-14.fc29

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/weasyprint
crash_function: module
exception_type: ModuleNotFoundError
executable:     /usr/bin/weasyprint
interpreter:    python3-3.7.2-4.fc29.x86_64
kernel:         4.20.13-200.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            5040

Truncated backtrace:
#1 [/usr/lib/python3.7/site-packages/cairocffi/_ffi.py:3] <module>
#2 [/usr/lib/python3.7/site-packages/cairocffi/__init__.py:18] <module>
#3 [/usr/lib/python3.7/site-packages/weasyprint/text.py:18] <module>
#4 [/usr/lib/python3.7/site-packages/weasyprint/css/computed_values.py:18] <module>
#5 [/usr/lib/python3.7/site-packages/weasyprint/css/__init__.py:30] <module>
#6 [/usr/lib/python3.7/site-packages/weasyprint/__init__.py:336] <module>
#7 [/usr/lib/python3.7/site-packages/pkg_resources/__init__.py:2338] resolve
#8 [/usr/lib/python3.7/site-packages/pkg_resources/__init__.py:2332] load
#9 [/usr/lib/python3.7/site-packages/pkg_resources/__init__.py:2714] load_entry_point
#10 [/usr/lib/python3.7/site-packages/pkg_resources/__init__.py:484] load_entry_point

Comment 1 Mike 2019-03-05 17:49:03 UTC
Created attachment 1541107 [details]
File: backtrace

Comment 2 Mike 2019-03-05 17:49:04 UTC
Created attachment 1541108 [details]
File: cgroup

Comment 3 Mike 2019-03-05 17:49:04 UTC
Created attachment 1541109 [details]
File: cpuinfo

Comment 4 Mike 2019-03-05 17:49:05 UTC
Created attachment 1541110 [details]
File: environ

Comment 5 Mike 2019-03-05 17:49:06 UTC
Created attachment 1541111 [details]
File: mountinfo

Comment 6 Mike 2019-03-05 17:49:08 UTC
Created attachment 1541112 [details]
File: namespaces

Comment 7 Mike 2019-03-05 17:49:09 UTC
Created attachment 1541113 [details]
File: open_fds

Comment 8 Felix Schwarz 2019-03-06 08:38:28 UTC
I suspect that this bug should be filed against "python-cairocffi" . Maybe that package does not expose xcffib properly (just wild guess)?

Comment 9 Mike 2019-03-06 14:32:04 UTC
Hi Felix, I tracked this one down, pretty easily. weasyprint doesn't have python-cairocffi (may have to double check my spelling here), as a dependency, which it obviously should.

Comment 10 Fedora Update System 2019-04-30 18:01:48 UTC
weasyprint-0.39-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5e7ba0829d

Comment 11 Fedora Update System 2019-05-01 01:44:23 UTC
weasyprint-0.39-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5e7ba0829d

Comment 12 Fedora Update System 2019-05-28 07:17:32 UTC
weasyprint-0.39-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-78c5caea7a

Comment 13 Fedora Update System 2019-05-29 01:35:37 UTC
weasyprint-0.39-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-78c5caea7a

Comment 14 Fedora Update System 2019-06-06 01:06:15 UTC
weasyprint-0.39-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.